CREATE PROCEDURE "DBA"."pr_pv_autoimp"( )
BEGIN
  declare li_kuu smallint;
  declare li_aasta smallint;
  declare ll_yksusnr integer;
  declare ll_skoop integer;
  declare err_notfound exception for sqlstate value '02000';
  declare c_pv_kanne dynamic scroll cursor for
    select pv_yksus.skoop,min(pv_kanne.yksusnr)
      from pv_kanne_kulum left outer join pv_kanne on pv_kanne_kulum."id"=pv_kanne."id"
                          left outer join pv_yksus on pv_kanne.yksusnr=pv_yksus.yksusnr
      group by pv_yksus.skoop;
  set li_kuu=Month(ToDay());
  set li_aasta=Years(Today());
  open c_pv_kanne;
  pv_kanne_loop: loop
    fetch next c_pv_kanne into ll_skoop,ll_yksusnr;
    if sqlstate = err_notfound then -- kui eof
      leave pv_kanne_loop
    end if;
    call pr_kanne_add(li_kuu,li_aasta,ll_yksusnr,6);
  end loop pv_kanne_loop;
  close c_pv_kanne
END